Support Questions
Find answers, ask questions, and share your expertise

SBT gives error “You have JDK version 0” - Windows

Explorer

Hi There,

SBT gives error like "The java installation you have is not up to date sbt requires at least version 1.6+, you have version 0" , even though I have JDK 1.8 installed.

If I give "java -version" in windows command prompt, it displays java 1.8.

How to make SBT to point this JDK?

Thanks, Jeeva

1 REPLY 1

@Jeeva Jeeva

When you built the SBT, check what does <java.version> file pointing to?

Also, try setting JAVA_HOME=<path_to_java8>.